#ifndef crc_h__
#define crc_h__

#include "stdint.h"
#include "bytearray.h"




uint8_t crc_crc8(const uint8_t *data,int num);

void crc_crc16(const uint8_t *data, int len,uint8_t *lb,uint8_t *hb);

uint32_t crc_crc32(const uint8_t *data,int size);

void crc_sumcheck(const uint8_t *data,int size,uint8_t *chka,uint8_t *chkb);











#endif

